import axios from 'axios'
import Cookies from 'js-cookie'
import { Message } from 'element-ui';
import requestUrl from '../utils/Domain.js'
// import { Message, MessageBox } from 'element-ui'
// import store from '../store'
// import { getToken,get } from '@/utils/auth'

// 创建axios实例
const service = axios.create({
   /* baseURL:'http://60.205.251.80:8082/apis',  */
   baseURL: 'http://192.168.3.35:8085/apis',
  timeout: 35000 // 请求超时时间
})

// request拦截器
service.interceptors.request.use(config => {
    let token=Cookies.get("token")
  if(token||token=="undefined"){
    config.headers['token']=token; 
  }
  // if (store.getters.token) {
  //   let test = config.data;
  //   if(test){
  //     config.data['access_token']= getToken()
  //   }

  //   if (get('storeId') && 'undefined'!=get('storeId')){
  //     config.headers['storeid'] = get('storeId')
  //   }

  //   config.headers['Authorization'] = getToken() // 让每个请求携带自定义token 请根据实际情况自行修改
  // }else{
  //   config.headers['client_id'] = 'app';
  //   config.headers['client_secret'] = 'app';
  // }
  return config
}, error => {
  
  //如果不是首页token验证接口，则按照原逻辑处理
  console.log(error) // for debug
  Promise.reject(error)
  
  
})

// respone拦截器
service.interceptors.response.use(
  response => {
  /**
  * code为非200是抛错 可结合自己业务进行修改
  */
    const res = response
     /*  if (res.code == 401) {
        window.sessionStorage.removeItem('token');
        this.$router.push("/login/user")
      }else {
        return res.data
      } */
  
    // if (res.code !== 200 && !res.access_token) {
    //   console.log(res)
    //   Message({
    //     message: res.msg,
    //     type: 'error',
    //     duration: 3 * 1000
    //   })

    //   // 401:未登录;
    //   if (res.code === 401 || res.code === 403) {
    //     MessageBox.confirm('你已被登出，可以取消继续留在该页面，或者重新登录', '确定登出', {
    //       confirmButtonText: '重新登录',
    //       cancelButtonText: '取消',
    //       type: 'warning'
    //     }).then(() => {
    //       store.dispatch('FedLogOut').then(() => {
    //         location.reload()// 为了重新实例化vue-router对象 避免bug
    //       })
    //     })
    //   }
    //   return Promise.reject('error')
    // }
    
    if (res.status == 200) {
        return res.data
    }	else {
       console.log('接口错误')
    }
  },
  error => {
    console.log(error+'--------------------------------')
    //如果不在首页 不验证token信息
      /* if(error.response.code == 401){
        sessionStorage.removeItem('token')
        Message.error("登录失效,请重新登录")
        setTimeout(function(){
          console.log(requestUrl+'/login/user/')
        },2000)
      } */
    // Message({
    //   message: error.message,
    //   type: 'error',
    //   duration: 3 * 1000
    // })
    // alert(error.message)
    return Promise.reject(error)
  }
)

export default service
